Documentation Index

Fetch the complete documentation index at: https://support.dise.com/llms.txt

Use this file to discover all available pages before exploring further.

New Dise One & CX Portal release! Click this link to read the release notes: Dise One 5.0 & CX Portal V42

Get status history

Prev Next
Get
/status/{token}
Path parameters
token
stringRequired

Short-lived access token returned by GET /token.

Query parameters
type
string

Comma-separated status types.

source
string

Comma-separated status sources.

startDate
string

Optional inclusive lower timestamp filter.

endDate
string

Optional inclusive upper timestamp filter.

limit
integer

Maximum records to return. Invalid or missing values are normalized to 1000 by the service.

Minimum1
Default1000
page
integer

1-based page number. Invalid or missing values are normalized to 1 by the service.

Minimum1
Default1
Responses
200

Grouped status records.

Expand All
object
displays
Array of object (StatusRecord)
object
playerId
string

Encoded DISE UID for a location, display, or player.

displayId
string

Encoded DISE UID for a location, display, or player.

type
string
timestamp
string
source
string
players
Array of object (StatusRecord)
object
playerId
string

Encoded DISE UID for a location, display, or player.

displayId
string

Encoded DISE UID for a location, display, or player.

type
string
timestamp
string
source
string
property*
Array of object (StatusRecord) additionalProperties
object
playerId
string

Encoded DISE UID for a location, display, or player.

displayId
string

Encoded DISE UID for a location, display, or player.

type
string
timestamp
string
source
string
401

Authentication failed, or the path token is invalid or expired.

object
reason
string

Error category.

message
string

Human-readable error message.

timestamp
string

Error timestamp.

status
integer

HTTP status code.

422

Invalid query or body parameters.

object
reason
string

Error category.

message
string

Human-readable error message.

timestamp
string

Error timestamp.

status
integer

HTTP status code.

500

Unexpected server error.

object
reason
string

Error category.

message
string

Human-readable error message.

timestamp
string

Error timestamp.

status
integer

HTTP status code.